Overview | Modules | Class Hierarchy | Classes | Members

# tlp::BoundingBox Struct Reference

`#include <BoundingBox.h>`

Inherits tlp::Array< Vec3f, 2 >.

Inheritance diagram for tlp::BoundingBox:

[legend]
Collaboration diagram for tlp::BoundingBox:

[legend]
List of all members.

## Detailed Description

class for 3D BoundingBox

Enables to both create and manipulate a 3D Axis Aligned box

Author : <a href="www.tulip-software.org>Tulip team

## Public Member Functions

- BoundingBox ()
- BoundingBox (const tlp::Vec3f &min, const tlp::Vec3f &max)
- Vec3f center () const
- void expand (const tlp::Vec3f &coord)
    recompute the current Bounding to ensure that coord belongs to it
- void translate (const tlp::Vec3f &vec)
    translate the bounding
- bool isValid () const
- void getCompleteBB (Vec3f bb[8]) const

## Constructor & Destructor Documentation

tlp::BoundingBox::BoundingBox | ( |  | ) | `[inline]`

| create an invalid boundig box

tlp::BoundingBox::BoundingBox | ( | const tlp::Vec3f & | min,
|  | const tlp::Vec3f & | max
| ) | `[inline]`

| create a valid bounding validity is test in debug mode

## Member Function Documentation

Vec3f tlp::BoundingBox::center | ( |  | ) | const`[inline]`

assertion is raised in debug if the BoundingBox is not Valid

Returns:
  center of the bounding

void tlp::BoundingBox::expand | ( | const tlp::Vec3f & | coord | ) | `[inline]`

| recompute the current Bounding to ensure that coord belongs to it

void tlp::BoundingBox::getCompleteBB | ( | Vec3f | bb[8] | ) | const`[inline]`

| Build the 8 points of the bounding box

bool tlp::BoundingBox::isValid | ( |  | ) | const`[inline]`

Returns:
  true if the Rectangle is well define [0] min corner, [1] max corner.

void tlp::BoundingBox::translate | ( | const tlp::Vec3f & | vec | ) | `[inline]`

| translate the bounding

Tulip Software by LaBRI Visualization Team 2001 - 2010